KTextEditor::PopupMenuInterface Class Referenceabstract

`#include <popupmenuinterface.h>`

## Public Member Functions

unsigned int | popupMenuInterfaceNumber () const
virtual void | installPopup (QPopupMenu *rmb_Menu)=0

## Protected Member Functions

void | setPopupMenuInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivatePopupMenuInterface

## Detailed Description

This is an interface to provide custom popup menus for a View.

Definition at line 33 of file popupmenuinterface.h.

## Member Function Documentation

virtual void KTextEditor::PopupMenuInterface::installPopup | ( | QPopupMenu * | rmb_Menu | ) |

pure virtual

Install a Popup Menu.

The Popup Menu will be activated on a right mouse button press event.

The documentation for this class was generated from the following files:

- popupmenuinterface.h
- popupmenuinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys